## flake8-black 0.3.3

=== requirements.txt ===
# This is a plugin for flake8, so we require that.
# Our prefix is not single letter, so we need v3:
flake8 >= 3.0.0

# We need black, which in turn needs Python 3.6+
black
tomli

=== debian/changelog ===
flake8-black (0.3.3-2) unstable; urgency=medium

  * debian/upstream/metadata: fix github URLs.

 -- Edward Betts <edward@4angle.com>  Thu, 28 Jul 2022 11:38:16 +0100

flake8-black (0.3.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1013945)

 -- Edward Betts <edward@4angle.com>  Mon, 27 Jun 2022 21:06:38 +0100

=== debian/control ===
Source: flake8-black
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/peterjc/flake8-black
Vcs-Browser: https://salsa.debian.org/python-team/packages/flake8-black
Vcs-Git: https://salsa.debian.org/python-team/packages/flake8-black.git

Package: python3-flake8-black
Architecture: all
Depends: python3-typing-extensions, ${misc:Depends}, ${python3:Depends}
Description: flake8 plugin to call black as a code style validator
 This is flake8 plugin for validating Python code style with the command line
 code formatting tool Black.
 .
 Black, "The Uncompromising Code Formatter", is normally run to edit your
 Python code in place to match their coding style, a strict subset of the
 PEP 8 style guide.
 .
 The point of this plugin is to be able to run 'black --check ...' from
 within the flake8 plugin ecosystem. You might use this via a git
 pre-commit hook, or as part of your continuous integration testing.

## flake8-black 0.3.6

=== requirements.txt ===
--- 
+++ 
@@ -4,4 +4,4 @@
 
 # We need black, which in turn needs Python 3.6+
 black
-tomli
+tomli ; python_version < "3.11"

=== debian/changelog ===
flake8-black (0.3.6-2) unstable; urgency=medium

  * Team upload.
  * No change rebuild for reproduce.d.n

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 May 2025 20:10:07 +0200

flake8-black (0.3.6-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 15 Dec 2022 06:59:56 +0000

flake8-black (0.3.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add pybuild-plugin-pyproject Build-Depends because
    upstream now uses pyproject.toml.

 -- Edward Betts <edward@4angle.com>  Fri, 02 Dec 2022 06:45:19 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
+               pybuild-plugin-pyproject,
                python3-setuptools
 Rules-Requires-Root: no
 Standards-Version: 4.6.1

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/flake8-black-$1\.tar\.gz/ \
  https://github.com/peterjc/flake8-black/tags .*/v?(\d\S+)\.tar\.gz

## flake8-black 4.0.0

=== requirements.txt ===
# This is a plugin for flake8, so we require that.
# Our prefix is not single letter, so we need v3:
flake8 >= 3.0.0

# We need black
black >= 22.1.0
tomli ; python_version < "3.11"

=== debian/changelog ===
flake8-black (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Simplify debian/watch.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Wed, 24 Sep 2025 08:40:32 +0000

=== debian/control ===
Source: flake8-black
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.7.2
Homepage: https://github.com/peterjc/flake8-black
Vcs-Browser: https://salsa.debian.org/python-team/packages/flake8-black
Vcs-Git: https://salsa.debian.org/python-team/packages/flake8-black.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-flake8-black
Architecture: all
Depends:
 python3-typing-extensions,
 ${misc:Depends},
 ${python3:Depends},
Description: flake8 plugin to call black as a code style validator
 This is flake8 plugin for validating Python code style with the command line
 code formatting tool Black.
 .
 Black, "The Uncompromising Code Formatter", is normally run to edit your
 Python code in place to match their coding style, a strict subset of the
 PEP 8 style guide.
 .
 The point of this plugin is to be able to run 'black --check ...' from
 within the flake8 plugin ecosystem. You might use this via a git
 pre-commit hook, or as part of your continuous integration testing.

=== debian/watch ===
Version: 5

Template: Github
Owner: peterjc
Project: flake8-black
